Ubuntu

Thunderbird 12 stable update

Reported by Chris Coulson on 2012-04-23
258
This bug affects 1 person
Affects Status Importance Assigned to Milestone
thunderbird (Ubuntu)
Undecided
camilo vera
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Micah Gersten (micahg) on 2012-04-23
summary: - Placeholder bug
+ Thunderbird 12 stable update
description: updated
security vulnerability: no → yes
Changed in thunderbird (Ubuntu Precise):
status: New → In Progress
Changed in thunderbird (Ubuntu Oneiric):
status: New → In Progress
Changed in thunderbird (Ubuntu Natty):
status: New → In Progress
Changed in thunderbird (Ubuntu Lucid):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 12.0.1+build1-0ubuntu0.10.04.1

---------------
thunderbird (12.0.1+build1-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream stable release (THUNDERBIRD_12_0_1_BUILD1)
    - see LP: #987305 for USN information

  * Call xvfb-run with "-a" in case there are other servers running on the
    builder
    - update debian/build/testsuite.mk
  * Make sure to add a binary libgconf2-4 dependency, as dpkg-shlibdeps
    won't do this for us now.
    - update debian/rules
    - update debian/control{,.in}
  * Thunderbird recommends libcanberra0 now that bmo: #635918 has landed
    (LP: #732572)
    - update debian/control{,in}
  * Refresh patches
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - update debian/patches/revert-bmo621446-investigation.patch
  * Drop patches fixed upstream
    - remove debian/patches/ctypes-callback-reentry-fix.patch
    - update debian/patches/series
  * Drop the version number from the install path, like we've done for Firefox
    - update debian/rules
    - update debian/thunderbird-dev.install.in
    - update debian/thunderbird-dev.links.in
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
  * Fix LP: #939652 - Web search functionality is broken in Ubuntu builds.
    Ship the localized Opensearch plugins in distribution/searchplugins.
    Also add a patch to use the locale of the global chrome package to
    select the search locale, like we do with Firefox. Add another patch
    to fix various bugs in webSearchProvider.js (see bmo: #733802)
    - add debian/patches/distro-locale-searchplugins.patch
    - update debian/rules
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/vendor.js
  * Fix LP: #894166 - Make Thunderbird work with our system hyphenation
    patterns, and stop including our own
    - update debian/vendor.js
    - add debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/series
  * Fix LP: #925907 - 12.04 Thunderbird colour theme is unreadable. Use
    -moz-menubartext rather than MenuText for elements with menubar styled
    backgrounds. Should also fix LP: #856939
    - add debian/patches/use-menubar-text-colour-on-tabbar.patch
    - update debian/patches/series
  * Make the language packs Architecture: any. Whilst they are actually
    architecture independent, we do install them in to /usr/lib (as the
    extensions location is shared with architecture-specific extensions).
    This also avoids the problem of offering incompatible language pack
    upgrades to users on architectures where Thunderbird fails to build
    (I'm looking at you, powerpc)
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/rules
    - refresh debian/control
  * Disable fix-build-failure-without-yarr-jit.patch, as it needs some work.
    This means that there is currently no powerpc support
 -- Chris Coulson <email address hidden> Sun, 29 Apr 2012 21:22:39 -0500

Changed in thunderbird (Ubuntu Lucid):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 12.0.1+build1-0ubuntu0.11.04.1

---------------
thunderbird (12.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_12_0_1_BUILD1)
    - see LP: #987305 for USN information

  * Update globalmenu-extension to 2.0.6
  * Call xvfb-run with "-a" in case there are other servers running on the
    builder
    - update debian/build/testsuite.mk
  * Make sure to add a binary libgconf2-4 dependency, as dpkg-shlibdeps
    won't do this for us now.
    - update debian/rules
    - update debian/control{,.in}
  * Thunderbird recommends libcanberra0 now that bmo: #635918 has landed
    (LP: #732572)
    - update debian/control{,in}
  * Refresh patches
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
  * Drop patches fixed upstream
    - remove debian/patches/ctypes-callback-reentry-fix.patch
    - update debian/patches/series
  * Drop the version number from the install path, like we've done for Firefox
    - update debian/rules
    - update debian/thunderbird-dev.install.in
    - update debian/thunderbird-dev.links.in
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
  * Fix LP: #939652 - Web search functionality is broken in Ubuntu builds.
    Ship the localized Opensearch plugins in distribution/searchplugins.
    Also add a patch to use the locale of the global chrome package to
    select the search locale, like we do with Firefox. Add another patch
    to fix various bugs in webSearchProvider.js (see bmo: #733802)
    - add debian/patches/distro-locale-searchplugins.patch
    - update debian/rules
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/vendor.js
  * Fix LP: #894166 - Make Thunderbird work with our system hyphenation
    patterns, and stop including our own
    - update debian/vendor.js
    - add debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/series
  * Fix LP: #925907 - 12.04 Thunderbird colour theme is unreadable. Use
    -moz-menubartext rather than MenuText for elements with menubar styled
    backgrounds. Should also fix LP: #856939
    - add debian/patches/use-menubar-text-colour-on-tabbar.patch
    - update debian/patches/series
  * Make the language packs Architecture: any. Whilst they are actually
    architecture independent, we do install them in to /usr/lib (as the
    extensions location is shared with architecture-specific extensions).
    This also avoids the problem of offering incompatible language pack
    upgrades to users on architectures where Thunderbird fails to build
    (I'm looking at you, powerpc)
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/rules
    - refresh debian/control
  * Disable fix-build-failure-without-yarr-jit.patch, as it needs some work.
    This means that there is currently no powerpc support
 -- Chris Coulson <email address hidden> Sun, 29 Apr 2012 22:49:04 -0500

Changed in thunderbird (Ubuntu Natty):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.1 KiB)

This bug was fixed in the package thunderbird - 12.0.1+build1-0ubuntu0.11.10.1

---------------
thunderbird (12.0.1+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_12_0_1_BUILD1)
    - see LP: #987305 for USN information

  * Update globalmenu-extension to 2.0.6
  * Call xvfb-run with "-a" in case there are other servers running on the
    builder
    - update debian/build/testsuite.mk
  * Thunderbird recommends libcanberra0 now that bmo: #635918 has landed
    (LP: #732572)
    - update debian/control{,in}
  * Refresh patches
    - update debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
  * Drop patches fixed upstream
    - remove debian/patches/ctypes-callback-reentry-fix.patch
    - update debian/patches/series
  * Drop the version number from the install path, like we've done for Firefox
    - update debian/rules
    - update debian/thunderbird-dev.install.in
    - update debian/thunderbird-dev.links.in
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
  * Fix LP: #939652 - Web search functionality is broken in Ubuntu builds.
    Ship the localized Opensearch plugins in distribution/searchplugins.
    Also add a patch to use the locale of the global chrome package to
    select the search locale, like we do with Firefox. Add another patch
    to fix various bugs in webSearchProvider.js (see bmo: #733802)
    - add debian/patches/distro-locale-searchplugins.patch
    - update debian/rules
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/vendor.js
  * Fix LP: #894166 - Make Thunderbird work with our system hyphenation
    patterns, and stop including our own
    - update debian/vendor.js
    - add debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/series
  * Fix LP: #925907 - 12.04 Thunderbird colour theme is unreadable. Use
    -moz-menubartext rather than MenuText for elements with menubar styled
    backgrounds. Should also fix LP: #856939
    - add debian/patches/use-menubar-text-colour-on-tabbar.patch
    - update debian/patches/theme-refresh-compose-toolbar-icons.patch
    - update debian/patches/theme-refresh-addressbook-toolbar-icons.patch
    - update debian/patches/series
  * Make the language packs Architecture: any. Whilst they are actually
    architecture independent, we do install them in to /usr/lib (as the
    extensions location is shared with architecture-specific extensions).
    This also avoids the problem of offering incompatible language pack
    upgrades to users on architectures where Thunderbird fails to build
    (I'm looking at you, powerpc)
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/rules
    - refresh debian/control
  * Disable fix-build-failure-without-yarr-jit.patch, as it needs some work.
    This means that there is currently no powerpc support
 -- Chris Coulson <email address hidden> Sun, 29 Apr 201...

Read more...

Changed in thunderbird (Ubuntu Oneiric):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 12.0.1+build1-0ubuntu0.12.04.1

---------------
thunderbird (12.0.1+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_12_0_1_BUILD1)
    - see LP: #987305 for USN information

  * Update globalmenu-extension to v3.2.3
    - Fix regression introduced by the fix for LP: #915888
  * Call xvfb-run with "-a" in case there are other servers running on the
    builder
    - update debian/build/testsuite.mk
  * Thunderbird recommends libcanberra0 now that bmo: #635918 has landed
    (LP: #732572)
    - update debian/control{,in}
  * Refresh patches
    - update debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
  * Drop patches fixed upstream
    - remove debian/patches/ctypes-callback-reentry-fix.patch
    - update debian/patches/series
  * Drop the version number from the install path, like we've done for Firefox
    - update debian/rules
    - update debian/thunderbird-dev.install.in
    - update debian/thunderbird-dev.links.in
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
  * Fix LP: #939652 - Web search functionality is broken in Ubuntu builds.
    Ship the localized Opensearch plugins in distribution/searchplugins.
    Also add a patch to use the locale of the global chrome package to
    select the search locale, like we do with Firefox. Add another patch
    to fix various bugs in webSearchProvider.js (see bmo: #733802)
    - add debian/patches/distro-locale-searchplugins.patch
    - add debian/patches/websearchprovider-fixes.patch
    - update debian/rules
    - update debian/thunderbird.dirs.in
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/vendor.js
  * Make the language packs Architecture: any. Whilst they are actually
    architecture independent, we do install them in to /usr/lib (as the
    extensions location is shared with architecture-specific extensions).
    This also avoids the problem of offering incompatible language pack
    upgrades to users on architectures where Thunderbird fails to build
    (I'm looking at you, powerpc)
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/rules
    - refresh debian/control
  * Disable fix-build-failure-without-yarr-jit.patch, as it needs some work.
    This means that there is currently no powerpc support
 -- Chris Coulson <email address hidden> Mon, 30 Apr 2012 00:18:22 -0500

Changed in thunderbird (Ubuntu Precise):
status: In Progress → Fix Released
Changed in thunderbird (Ubuntu):
assignee: nobody → camilo vera (camilo-student)
status: In Progress → Incomplete
Changed in thunderbird (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers